##### 7.7.13.0. facFirstShift

Procedure from library `ncfactor.lib` (see ncfactor_lib).

Usage:
  facFirstShift(h); h a polynomial in the first shift algebra

Return:
  list

Purpose:
  compute all factorizations of a polynomial in the first shift algebra

Theory:
  This function is a wrapper for facShift. It exists to make this library downward-compatible with older versions.

Assume:
  basering is the first shift algebra

Note:
  Every entry of the output list is a list with factors for one possible factorization.

Example:

    LIB "ncfactor.lib";
    ring R = 0,(x,s),dp;
    def r = nc_algebra(1,s);
    setring(r);
    poly h = (s^2*x+x)*s;
    facFirstShift(h);
    ==> [1]:
    ==>    [1]:
    ==>       1
    ==>    [2]:
    ==>       s
    ==>    [3]:
    ==>       s2+1
    ==>    [4]:
    ==>       x-1
    ==> [2]:
    ==>    [1]:
    ==>       1
    ==>    [2]:
    ==>       s2+1
    ==>    [3]:
    ==>       s
    ==>    [4]:
    ==>       x-1
    ==> [3]:
    ==>    [1]:
    ==>       1
    ==>    [2]:
    ==>       s2+1
    ==>    [3]:
    ==>       x
    ==>    [4]:
    ==>       s
    ==> [4]:
    ==>    [1]:
    ==>       1
    ==>    [2]:
    ==>       s
    ==>    [3]:
    ==>       xs2+s2+x-1

See also: facFirstWeyl; facSubWeyl; testNCfac.

User manual for Singular version 4-0-3, 2016, generated by texi2html.